function [y,Basis] = g(x1,x2,mu1,mu2,q)

  if (numel(x1)==1)
    x1 = repmat(x1,size(x2));
  end
  if (numel(x2)==1)
    x2 = repmat(x2,size(x1));
  end
  q = q(1);

  global prob;

  if (q==0)
  % in case q==0 return the value of g
    y = 1./sqrt((x1-mu1).^2 + (x2-mu2).^2);
    return;
  end
  
% in case q>0 we return g_q, i.e.
%   the q-th basis function of the empirical interpolation
  
% evaluate empirical interpolation basis Xi in all new points, i.e. xi_n(x1_q,x2_q)
  mu1 = prob.EIM.S{1}(1:q);
  mu2 = prob.EIM.S{2}(1:q);
  mu = {mu1, mu2};
  x = {x1(:), x2(:)};
  
  X = cellfun(@(x) repmat(x,1,numel(mu{1})),x,'UniformOutput',false);
  Mu = cellfun(@(mu) repmat(mu',numel(x{1}),1),mu,'UniformOutput',false);
  G = g(X{:},Mu{:},0);
  
  % ======== TODO ==========
  
  % Basis = .....
  
  % ========================

  
  y = reshape(Basis(:,q),size(x1));