function [EIM_coeffs,errEst] = getEIMCoeffs(varargin)

  global prob;
  Q = eval('varargin{3}','inf');
  Q = min(Q,prob.EIM.Qmax);
	Qprime = Q + prob.EIM.Q_Qprime;
  
  mu = varargin(1:2);
  x = prob.EIM.T;

% evaluate g for all values of mu in all magic points (stored in x)
  X = cellfun(@(x) repmat(x(1:Q+1),1,numel(mu{1})),x,'UniformOutput',false);
  Mu = cellfun(@(mu) repmat(mu(:)',Q+1,1),mu,'UniformOutput',false);
  G = g(X{:},Mu{:},0);

	if(nargout < 2)
	% compute empirical interpolation coefficients  
	  EIM_coeffs = prob.EIM.Gbar(1:Q,1:Q)\G(1:Q,:);
	else
	  % compute empirical interpolation coefficients  
	  alpha = prob.EIM.Gbar(1:Qprime,1:Qprime)\G(1:Qprime,:);

	  EIM_coeffs = alpha(1:Q,:);

	% error estimator for Q' 
	  errEst = sum(abs(alpha(Q+1:Qprime,:)),1);
	end