function [femState,femAdjoint] = getInitFem

time = cputime;
fprintf(1,'Setting up fem structs ... ');

fem.solform = 'coefficient';

% COMSOL version
clear vrsn
vrsn.name = 'COMSOL 3.5';
vrsn.ext = 'a';
vrsn.major = 0;
vrsn.build = 608;
vrsn.rcs = '$Name: v35ap $';
vrsn.date = '$Date: 2009/05/11 07:38:49 $';
fem.version = vrsn;

% Geometry
g1=rect2(0.4,0.4,'base','corner','pos',[-0.4,0]);
g2=rect2('1','1','base','corner','pos',{'0','0'},'rot','0');

% Analyzed geometry
clear s
s.objs={g2};
s.name={'R1'};
s.tags={'g2'};

fem.draw=struct('s',s);
fem.geom=geomcsg(fem);

% Constants
fem.const = {'mu1',0, ...
  'mu2',0, ...
  'q',0};

% Initialize mesh
fem.mesh=meshinit(fem, ...
                  'hauto',5);

% Refine mesh
fem.mesh=meshrefine(fem, ...
                    'mcase',0, ...
                    'rmethod','regular');

% (Default values are not included)

% Application mode 1
clear appl
appl.mode.class = 'FlPDEC';
appl.assignsuffix = '_c';
clear prop
prop.elemdefault='Lag1';
appl.prop = prop;
clear bnd
bnd.type = 'dir';
bnd.ind = [1,1,1,1];
appl.bnd = bnd;
clear equ
equ.c = '1';
equ.a = 'g(x,y,mu1,mu2,q)';
equ.f = 'g(x,y,mu1,mu2,q)';
equ.ind = [1];
appl.equ = equ;
fem.appl{1} = appl;
fem.frame = {'ref'};
fem.border = 1;
clear units;
units.basesystem = 'SI';
fem.units = units;

% ODE Settings
clear ode
clear units;
units.basesystem = 'SI';
ode.units = units;
fem.ode=ode;
% Multiphysics
fem=multiphysics(fem);

% Extend mesh
fem.xmesh=meshextend(fem);

femState = fem;
if (nargout==1)
  return;
end

clear equ
equ.c = '1';
equ.a = 'g(x,y,mu1,mu2,q)';
equ.f = '-1';
equ.ind = [1];
appl.equ = equ;
fem.appl{1} = appl;

% Multiphysics
fem=multiphysics(fem);

% Extend mesh
fem.xmesh=meshextend(fem);

femAdjoint = fem;

fprintf(1,'done! CPU time: %.2fs.\n',cputime-time);