function [rb_coeffs,rb_appr] = getRBAppr(RB,theta,N)

  if (isfield(RB,'RB'))
    RB = RB.RB;
  end
  
  if (isfield(theta,'theta'))
    theta = theta.theta;
  end

	Nmax = size(RB.Basis,2);
    
  if Nmax == 0
      rb_coeffs = zeros(N,0);
      rb_appr = RB.Basis(:,1:N)*rb_coeffs;
      return
  end

  L = RB.pre.rhs.L(:,1:length(theta.rhs))*theta.rhs;
  K = reshape(RB.pre.lhs.K(:,1:length(theta.lhs))*theta.lhs,Nmax,Nmax);
  
  rb_coeffs = K(1:N,1:N)\L(1:N);
  
  if (nargout>1)
    rb_appr = RB.Basis(:,1:N)*rb_coeffs;
  end

  
  
  