function u = getSol(equStr, varargin)

  global prob;
	
		
% compute solution of non-affine system using comsol  
  if (numel(varargin) == 3) && (varargin{3} == 0)
    prob.(equStr).fem.const(2:2:end) = varargin;
    u = femlin(prob.(equStr).fem,'Out','u');
    return;
  end

% compute solution of approximated system using pre-assembled matrices
  theta = prob.(equStr).theta(varargin{:});
  
  K = sparse(0);
  for q=1:length(theta.lhs)
    K = K + prob.(equStr).fem.pre.lhs.K{q}*theta.lhs(q);
  end
    
  L = prob.(equStr).fem.pre.rhs.L(:,1:length(theta.rhs))*theta.rhs;
  
  u = zeros(prob.fem.dof.num,1);
  u(prob.fem.dof.ind) = ...
    K(prob.fem.dof.ind,prob.fem.dof.ind)\L(prob.fem.dof.ind);
