function performPreAssembling_equ

  time = cputime;
  fprintf(1,'Assemble fem matrices ... ');
 
  global prob;
  
% state equation  
  function theta = thetaState(varargin)
     [sigma,errEst] = getEIMCoeffs(varargin{:});
     
     theta = struct('lhs', num2cell([ones(1,numel(varargin{1})); sigma],1), ...
                    'rhs', num2cell(sigma,1), ...
                    'errEst', num2cell(errEst,1));
  end
  prob.state.theta = @thetaState;
  
  prob.state.fem.pre.lhs = ...
    struct('Qmax',prob.EIM.Qmax+prob.EIM.Q_Qprime, ...
           'K',{cell(1,prob.EIM.Qmax+2)});
  prob.state.fem.pre.rhs = ...
    struct('Qmax',prob.EIM.Qmax, ...
           'L',zeros(prob.fem.dof.num,prob.EIM.Qmax+prob.EIM.Q_Qprime));
         
  prob.state.fem.pre.lhs.K{1} = ...
    assemble(prob.state.fem,'Out',{'C'});
  for Q=1:prob.EIM.Qmax+1
    [prob.state.fem.pre.lhs.K{Q+1},prob.state.fem.pre.rhs.L(:,Q)] = ...
      assemble(prob.state.fem,'Out',{'A','F'},'const',{'mu1',0,'mu2',0,'q',Q});
  end
  
% adjoint equation
  function theta = thetaAdjoint(varargin)
     [sigma,errEst] = getEIMCoeffs(varargin{:});
     
     theta = struct('lhs', num2cell([ones(1,numel(varargin{1})); sigma],1), ...
                    'rhs', 1, ...
                    'errEst', num2cell(errEst,1));
  end
  prob.adjoint.theta = @thetaAdjoint;

  prob.adjoint.fem.pre.lhs = prob.state.fem.pre.lhs;
  prob.adjoint.fem.pre.rhs = ...
    struct('Qmax',1, ...
           'L',assemble(prob.adjoint.fem,'Out','F'));
  
% inner product in X
  C = assemble(prob.state.fem,'Out','C');
  prob.fem.innProd.X = (C+C')/2;
  
  fprintf(1,'done! CPU time: %.2fs.\n',cputime-time);
end