function performPreAssembling_out

  time = cputime;
  fprintf(1,'Assemble quantities for output approximation ... ');
  
  global prob;
  
  Npr_max = prob.state.RB.Nmax;
  Ndu_max = prob.adjoint.RB.Nmax;
    
% residual 'lhs'
  Qmax = numel(prob.state.fem.pre.lhs.K);
  prob.output.pre.lhs.K = zeros(Npr_max*Ndu_max,Qmax);
  for q=1:Qmax
    K = prob.adjoint.RB.Basis'*prob.state.fem.pre.lhs.K{q}*prob.state.RB.Basis;
    prob.output.pre.lhs.K(:,q) = K(:);
  end

% residual 'rhs'    
  prob.output.pre.rhs.L = prob.adjoint.RB.Basis'*prob.state.fem.pre.rhs.L;
    
% output functional itself
  prob.output.pre.L = -prob.state.RB.Basis'*prob.adjoint.fem.pre.rhs.L;
 
  fprintf(1,'done! CPU time: %.2fs.\n',cputime-time);
end